/*
 * Copyright (c) 2004 Nederlandse Philips Bedrijven B.V.
 * Philips Research Laboratories
 * Eindhoven, The Netherlands
 *
 * For licensing and warranty information, see the file ../../../COPYING.GPLv2
 */

#include "cppunit/TextTestRunner.h"
#include "cppunit/extensions/TestFactoryRegistry.h"

using namespace CppUnit;
using namespace std;

/**
 * main program
 */
int main(int argc, char *argv[])
{
  TestFactoryRegistry &registry = TestFactoryRegistry::getRegistry();
  TextTestRunner runner;

  runner.addTest(registry.makeTest());
  runner.run();
  return 0;
}
