/*
 * racc.h - Random reader/writer; common declarations
 *
 * Written 2004 by Werner Almesberger
 *
 * (C) Copyright Koninklijke Philips Electronics NV 2004. All rights reserved.
 * For licensing and warranty information, see the file ../../COPYING.GPLv2
 */


#ifndef RACC_H
#define RACC_H

#include <sys/types.h>


#define PAGE 4095UL


extern int verbose;
extern int synchronize;

void show_time(const char *fmt,...);

void racc_posix(int fd,int flags,off_t obj_size,int access_size,
  int step_size,int accesses,int locations);
void racc_linux(int fd,int flags,off_t obj_size,int access_size,
  int step_size,int accesses,int locations);

#endif /* !RACC_H */
