/*
 * seq.h - Sequence number access
 *
 * Written 2005 by Werner Almesberger
 *
 * (C) Copyright Koninklijke Philips Electronics NV 2005. All rights reserved.
 * For licensing and warranty information, see the file ../../COPYING.GPLv2
 */

#ifndef SEQ_H
#define SEQ_H

#include <stdint.h>

extern uint32_t seq;

void reset_sequence(void);

void put_sequence(void *buffer,int size);
int check_sequence(void *buffer,int size);

#endif /* SEQ_H */
